/**
 *
 */
package de.rico.editor.datamodel;


/**
 * Class for holding the skybox data of the editor.
 * @author Frank Bruns
 *
 */
public class SkyBoxData
{
	private String posX = null;

	private String negX = null;

	private String posY = null;

	private String negY = null;

	private String posZ = null;

	private String negZ = null;

	public SkyBoxData(String posX, String negX, String posY, String negY, String posZ, String negZ)
	{
		this.posX = posX;
		this.posY = posY;
		this.posZ = posZ;
		this.negX = negX;
		this.negY = negY;
		this.negZ = negZ;
	}

	/**
	 * @return the negX
	 */
	public String getNegX()
	{
		return this.negX;
	}

	/**
	 * @return the negY
	 */
	public String getNegY()
	{
		return this.negY;
	}

	/**
	 * @return the negZ
	 */
	public String getNegZ()
	{
		return this.negZ;
	}

	/**
	 * @return the posX
	 */
	public String getPosX()
	{
		return this.posX;
	}

	/**
	 * @return the posY
	 */
	public String getPosY()
	{
		return this.posY;
	}

	/**
	 * @return the posZ
	 */
	public String getPosZ()
	{
		return this.posZ;
	}
}
